var blr = {lat: 77.70, lon: 12.95, alt: 875, title: "Bangalore"};
var labelDefaults = {visible: true, size: 19, color: "#aaaaaa", side: "W", dist: "20"};
var commentaryDefaults = {x: 200, y: 100, visible: true, size: 25, color: "#ffffff", time: 7};
var starPointDelay = 10;

function initializeEnv(timestamp) {
	LabelMgr.deleteAllLabels();
	core.clear("natural");
	core.setProjectionMode("ProjectionPerspective");
	core.setObserverLocation(blr.lat, blr.lon, blr.alt,1,blr.title,"");
	core.setDate(timestamp, "local");
	StelSkyDrawer.setBortleScale(6);
	LandscapeMgr.setFlagCardinalsPoints(true);
	LandscapeMgr.setFlagFog(false);
	StelMovementMgr.setFlagTracking(false);
	StelMovementMgr.zoomTo(70, 0);
	ConstellationMgr.setFlagIsolateSelected(true);
	core.setSelectedObjectInfo("None");
	core.selectObjectByName("HIP40793", false);
	core.selectObjectByName(" ", true);
	ConstellationMgr.setFlagLines(false);
	core.setSelectedObjectInfo("ShortInfo");
	//core.setMinFPS(10);
	//core.setMaxFPS(50);
	core.moveToAltAzi(0, 90,1); 
	core.wait(1);
};

function pointStarsInArray(array, delay) {
	var x;
	if(isNaN(delay)) {
		delay = starPointDelay;
	}

	for(x in array)	{
		core.selectObjectByName(array[x], true);
		core.wait(delay);
	}
};

function commentary(text, displayTime) {
	if(isNaN(displayTime) ) {
		displayTime = commentaryDefaults.time;
	}
	var labelId = LabelMgr.labelScreen(text, commentaryDefaults.x, commentaryDefaults.y, commentaryDefaults.visible, commentaryDefaults.size, commentaryDefaults.color);
	core.wait(displayTime);
	LabelMgr.deleteLabel(labelId);
	core.wait(1);
}
